#include<iostream>
using namespace std;
int brojPrijatelja(long long parovi[][2], int m, int clan)
{
    int pn = 0;
    for(int i=0; i<m; i++)
    {
        for(int j=0; j<2; j++)
        {
            if(parovi[i][j] == clan) //prijatelj i nema neprijatelja u istom redu
            {
                if(j==1)
                {
                    if(parovi[i][j-1]!=0)
                        pn++;
                }
                else if(j==0)
                {
                    if(parovi[i][j+1]!=0)
                        pn++;
                }
            }
        }
    }


    return pn;
}
void dobijanjeNeprijatelja(long long parovi[][2], int m, int clan)
{
    for(int i=0; i<m; i++)
        for(int j=0; j<2; j++)
            if(parovi[i][j] == clan)
                parovi[i][j] = 0;
}
int brojNeprijatelja(long long parovi[][2], int m, int clan)
{
    int pn = 0;
    for(int i=0; i<m; i++)
    {

        for(int j=0; j<2; j++)
        {
            if(parovi[i][j] == clan) //samo neprijatelj u istom redu
            {
                if(j==1)
                {
                    if(parovi[i][j-1]==0)
                        pn++;
                }
                else if(j==0)
                {
                    if(parovi[i][j+1]==0)
                        pn++;
                }
            }

        }
    }
    return pn;
}
int main()
{
    int n, m, sreca = 0;
    long long takmicari[10000], parovi[10000][2];
    cin >> n >> m;
    for(int i=0; i<n; i++)
        cin >> takmicari[i];
    for(int i=0; i<m; i++)
        for(int j=0; j<2; j++)
            cin >> parovi[i][j];


    for(int i=0; i<n; i++)
    {
        if(takmicari[i]<0)
        {
            dobijanjeNeprijatelja(parovi, m, i+1);
        }

    }
    for(int i=0; i<n; i++)
    {
        if(takmicari[i]>0)
        {
            sreca+=takmicari[i]*(brojPrijatelja(parovi, m, i+1)-brojNeprijatelja(parovi, m, i+1));
        }

        else if(takmicari[i]<0)
        {
            sreca+=takmicari[i]*(brojPrijatelja(parovi, m, i+1)-brojPrijatelja(parovi, m, 0));
        }

    }
    cout << sreca;
    return 0;

}